#ifndef __BOOST__IO__FORMATLIST_T__IPP
#define __BOOST__IO__FORMATLIST_T__IPP
   template< typename ForwardIterator, typename FormatType, typename Outputter >
   ForwardIterator boost::io::formatlist_t< ForwardIterator, FormatType, Outputter >::begin() const throw()
   {
      return( first );
   }
   template< typename ForwardIterator, typename FormatType, typename Outputter >
   ForwardIterator boost::io::formatlist_t< ForwardIterator, FormatType, Outputter >::end() const throw()
   {
      return( last );
   }

   template< typename ForwardIterator, typename FormatType, typename Outputter >
   boost::io::formatlist_t< ForwardIterator, FormatType, Outputter >::formatlist_t
   (
      ForwardIterator f,
      ForwardIterator l
   ) throw():
      first( f ),
      last(  l )
   {
   }
   template< typename ForwardIterator, typename FormatType, typename Outputter >
   boost::io::formatlist_t< ForwardIterator, FormatType, Outputter >::formatlist_t
   (
      ForwardIterator f,
      ForwardIterator l,
      Outputter       out
   ) throw():
      detail::list_output< FormatType, formatlist_t, Outputter >( out ),
      first( f ),
      last(  l )
   {
   }
#endif
